import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
import { Identifier } from "./Identifier";
import { Statement } from "./Statement";
export declare class TSImportEqualsDeclaration extends Statement {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createTSImportEqualsDeclaration(id: Identifier | undefined, moduleReference: Expression | undefined, isExport: boolean): TSImportEqualsDeclaration;
    static updateTSImportEqualsDeclaration(original: TSImportEqualsDeclaration | undefined, id: Identifier | undefined, moduleReference: Expression | undefined, isExport: boolean): TSImportEqualsDeclaration;
    get id(): Identifier | undefined;
    get moduleReference(): Expression | undefined;
    get isExport(): boolean;
    protected readonly brandTSImportEqualsDeclaration: undefined;
}
export declare function isTSImportEqualsDeclaration(node: object | undefined): node is TSImportEqualsDeclaration;
